/* m-Power Styles for REST_MP */
input.mrcinput {
  height: initial; }

label input[type="checkbox"], label input[type="radio"] {
  top: 2px; }

input[type="text"].mrcinput {
  padding: 4px 6px; }

.form-table label + label {
  margin-top: 0.5em; }

input:not([type="checkbox"]), select.mrcselect, select {
  min-height: 2em;
  max-width: 100%; }

input[type="checkbox"], input[type="radio"] {
  position: relative;
  top: 1px;
  margin-right: 0.25em;
  min-height: 0;
  min-height: initial; }

input[type="file"] {
  border: none;
  border: initial;
  border: unset; }

.ui-widget select, .ui-datepicker .ui-datepicker-title select {
  height: initial;
  font-size: 0.9em !important; }

select {
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 3px;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  background-color: #fff;
  background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg xmlns%3D"http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg" width%3D"292.4" height%3D"292.4"%3E%3Cpath fill%3D"%23242424" d%3D"M287 69.4a17.6 17.6 0 0 0-13-5.4H18.4c-5 0-9.3 1.8-12.9 5.4A17.6 17.6 0 0 0 0 82.2c0 5 1.8 9.3 5.4 12.9l128 127.9c3.6 3.6 7.8 5.4 12.8 5.4s9.2-1.8 12.8-5.4L287 95c3.5-3.5 5.4-7.8 5.4-12.8 0-5-1.9-9.2-5.5-12.8z"%2F%3E%3C%2Fsvg%3E');
  background-repeat: no-repeat, repeat;
  background-position: right .7em top 50%, 0 0;
  background-size: .65em auto, 100%;
  box-shadow: rgba(0, 0, 0, 0.075) 0 1px 1px inset;
  line-height: 1;
  padding-left: 5px;
  padding-right: 20px; }
  select.relation {
    padding-left: 5px;
    padding-right: 20px; }

textarea {
  max-width: 100%;
  border-radius: 4px; }

.required:before {
  content: '* ';
  font-weight: bold;
  color: #f00; }
  @media only screen and (max-width: 760px) {
    .responsive .required:before {
      content: '* ';
      position: relative;
      top: initial;
      left: initial;
      width: initial;
      padding-right: initial; } }

input[type="text"]:focus, input[type="password"]:focus, textarea:focus, select:focus {
  border-color: #52a8ec;
  border-color: rgba(82, 168, 236, 0.8);
  outline: 0;
  outline: thin dotted\9;
  box-shadow: 0 0 8px rgba(82, 168, 236, 0.6); }

.checkbox_td > label {
  display: block; }

button[disabled], html input[disabled] {
  cursor: default; }

.mrcinput[disabled], fieldset[disabled] .mrcinput, .mrcselect[disabled] {
  cursor: not-allowed; }

.mrcinput[disabled], .mrcinput[readonly], fieldset[disabled] .mrcinput, .mrcselect[disabled] {
  background-color: #eee;
  opacity: 1;
  color: #8a8a8a; }

.btn.disabled, .btn[disabled], fieldset[disabled] .btn {
  cursor: not-allowed;
  filter: alpha(opacity=65);
  box-shadow: none;
  opacity: 0.65; }

.selection_button {
  height: initial; }

.selection_buttons {
  min-height: 40px; }

.hideShow, .acceptChanges {
  height: auto; }

.input-group {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: inline-flex;
  display: table-row\9\0;
  max-width: 100%; }
  .input-group .mrcinput, .input-group .input-group-addon, .input-group .input-group-btn {
    -webkit-box-flex: 1 1 auto;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    min-height: 2em;
    display: table-cell\9\0; }
  .input-group .input-group-addon, .input-group .input-group-btn {
    white-space: nowrap; }
  .input-group .input-group-addon {
    padding: 6px 12px;
    font-size: 1em;
    line-height: 1;
    color: #555;
    text-align: center;
    background: #eee;
    border: 1px solid #ccc;
    border-radius: 2px; }
  .input-group .input-group-btn:hover {
    color: #333;
    background: #e6e6e6;
    border-color: #adadad; }
  .input-group .mrcinput, .input-group .input-group-addon, .input-group .input-group-btn {
    margin-top: 0 !important; }
    .input-group .mrcinput:first-child, .input-group .input-group-addon:first-child, .input-group .input-group-btn:first-child {
      border-top-right-radius: 0 !important;
      border-bottom-right-radius: 0 !important; }
    .input-group .mrcinput:last-child, .input-group .input-group-addon:last-child, .input-group .input-group-btn:last-child {
      border-top-left-radius: 0 !important;
      border-bottom-left-radius: 0 !important;
      border-left: 0; }
    .input-group .mrcinput:not(:first-child):not(:last-child), .input-group .input-group-addon:not(:first-child):not(:last-child), .input-group .input-group-btn:not(:first-child):not(:last-child) {
      border-radius: 0 !important; }
  .input-group .mrcinput.hasDatepicker {
    display: inline\9\0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0; }
    .input-group .mrcinput.hasDatepicker + .ui-datepicker-trigger {
      display: inline\9\0;
      margin-bottom: -8.2px\9\0;
      border: 1px solid #ccc;
      border-radius: 2px;
      border-top-left-radius: 0;
      border-bottom-left-radius: 0;
      border-left: none;
      background: #eee;
      padding: 6px 6px 6px 3px; }
      .input-group .mrcinput.hasDatepicker + .ui-datepicker-trigger:hover {
        background: #e6e6e6;
        border-color: #adadad; }
.fieldGroup input,
.fieldGroup textarea {
    border-radius: 3px;
    padding: 5px 10px;
    line-height: 1.5;
    font-size: 1rem /* 16px */;
    border: 1px solid;
    font-family: "Muli",sans-serif;    
    border-color: #a9a9a9;
    background-color: #fff;
}
.fieldGroup select {
    border-radius: 3px;
    line-height: 1.5;
    font-size: 1rem /* 16px */;
    border: 1px solid;
    font-family: "Muli",sans-serif;    
    border-color: #a9a9a9;
    padding: 5px 30px 5px 10px;
    background-color: #fff;
    height: auto;
}

.fieldGroup input[type=radio] {
    width: auto;
    margin: auto 0;
}

.fieldGroup input[type=checkbox] {
    vertical-align: top;
    width: auto;
    margin: 5px auto 0 auto;
}

.form-submit-error {
    color: #da0000;
    font-weight: bold;
    width: 100%;
}

p.required,
legend.required {
    position: relative;
    padding-left: .7rem;
    padding-bottom: 3px;
}

.required::before {
    content: "*";
    font-weight: bold;
    color: #da0000;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
}

.fieldGroup {
    padding-bottom: 10px;
    display: flex;
    flex-wrap: wrap;
}

.fieldGroup label {
    font-weight: bold;
    display: inline-block;
    padding: 6px 10px;
    position: relative;
}

.fieldGroup .adaText {
    position: absolute;
}

.fieldGroup .full-width {
    width: 100%;
    padding-bottom: 5px;
}

.fieldGroup .lblRadCheck {
    font-weight: normal;
    padding: 0 20px 0 10px;
}

.fieldGroup .radCheckRow {
    padding: 5px 0;
}

.fieldGroup input:disabled,
.fieldGroup textarea:disabled,
.fieldGroup select:disabled {
    background-color: #efefef;
    border-color: #a9a9a9;
    color: #454545;
    margin: auto 0;
}

.fieldGroup.addon label,
.fieldGroup.addon legend {
    display: inline-block;
    padding: 9px 12px;
    font-size: 1em;
    line-height: 1;
    text-align: center;
    background: #efefef;
    border-color: #a9a9a9 !important;
    border: 1px solid;
    border-radius: 3px 0 0 3px; 
    border-right: none;
}

.fieldGroup.addon input {
    border-radius: 0 3px 3px 0;
}

.fieldGroup.addon-btn input {
    border-radius: 3px 0 0 3px;
    border-right: none;
}

.fieldGroup.addon-btn button {
    border: 1px solid;
    border-radius: 3px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    padding: 5px 12px;    
    background-color: #efefef;
    border-color: #a9a9a9;
}

.fieldGroup.addon-btn button:hover,
.fieldGroup.addon-btn button:focus {
    background-color: #dbdbdb;
}